http://dovecot.org/list/dovecot/2007-November/026632.html

diff -r 33cfef65a5e1 configure.in
--- a/configure.in	Mon Nov 12 19:56:25 2007 +0200
+++ b/configure.in	Mon Nov 12 19:57:04 2007 +0200
@@ -2056,6 +2056,7 @@ src/plugins/imap-quota/Makefile
 src/plugins/imap-quota/Makefile
 src/plugins/trash/Makefile
 src/plugins/zlib/Makefile
+src/plugins/mail-sql/Makefile
 stamp.h
 dovecot-config.in])
 
diff -r 33cfef65a5e1 src/imap/Makefile.am
--- a/src/imap/Makefile.am	Mon Nov 12 19:56:25 2007 +0200
+++ b/src/imap/Makefile.am	Mon Nov 12 19:57:04 2007 +0200
@@ -8,6 +8,7 @@ AM_CPPFLAGS = \
 	-I$(top_srcdir)/src/lib-mail \
 	-I$(top_srcdir)/src/lib-imap \
 	-I$(top_srcdir)/src/lib-index \
+	-I$(top_srcdir)/src/lib-sql \
 	-I$(top_srcdir)/src/lib-storage \
 	-DMODULEDIR=\""$(moduledir)"\"
 
@@ -27,6 +28,7 @@ libs = \
 	../lib-mail/libmail.a \
 	../lib-dict/libdict.a \
 	../lib-charset/libcharset.a \
+	../lib-sql/libsql.a \
 	../lib/liblib.a \
 	$(unused_objects)
 
@@ -34,6 +36,7 @@ imap_LDADD = \
 	$(libs) \
 	$(LIBICONV) \
 	$(RAND_LIBS) \
+	$(SQL_LIBS) \
 	$(MODULE_LIBS)
 
 imap_DEPENDENCIES = $(libs)
diff -r 33cfef65a5e1 src/imap/main.c
--- a/src/imap/main.c	Mon Nov 12 19:56:25 2007 +0200
+++ b/src/imap/main.c	Mon Nov 12 19:57:04 2007 +0200
@@ -11,6 +11,7 @@
 #include "process-title.h"
 #include "randgen.h"
 #include "module-dir.h"
+#include "sql-api.h"
 #include "dict-client.h"
 #include "mail-storage.h"
 #include "commands.h"
@@ -147,6 +148,10 @@ static void drop_privileges(void)
 	   chrooting. */
 	random_init();
 
+	/* Load built-in SQL drivers (if any) */
+	sql_drivers_init();
+	sql_drivers_register_all();
+
 	/* Load the plugins before chrooting. Their init() is called later. */
 	if (getenv("MAIL_PLUGINS") != NULL) {
 		const char *plugin_dir = getenv("MAIL_PLUGIN_DIR");
